The Open Group Base Specifications Issue 7
IEEE Std 1003.1, 2013 Edition
Copyright © 2001-2013 The IEEE and The Open Group

#### NAME

> atol, atoll - convert a string to a long integer

#### SYNOPSIS

> ``#include <stdlib.h>
> long atol(const char *`str`);
> long long atoll(const char *`nptr`);
> ``

#### DESCRIPTION

> [CX] The functionality described on this reference page is aligned with the ISO C standard. Any conflict between the requirements described here and the ISO C standard is unintentional. This volume of POSIX.1-2008 defers to the ISO C standard.

> The call atol(str) shall be equivalent to:

>     strtol(str, (char **)NULL, 10)

> The call atoll(nptr) shall be equivalent to:

>     strtoll(nptr, (char **)NULL, 10)

> except that the handling of errors may differ. If the value cannot be represented, the behavior is undefined.

#### RETURN VALUE

> These functions shall return the converted value if the value can be represented.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> The atol() function is subsumed by strtol() but is retained because it is used extensively in existing code. If the number is not known to be in range, strtol() should be used because atol() is not required to perform any error checking.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> strtol

> XBD <stdlib.h>

#### CHANGE HISTORY

> First released in Issue 1. Derived from Issue 1 of the SVID.

#### Issue 6

> The atoll() function is added for alignment with the ISO/IEC 9899:1999 standard.

#### Issue 7

> SD5-XSH-ERN-61 is applied, correcting the DESCRIPTION of atoll().

End of informative text.

return to top of page

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
Copyright © 2001-2013 The IEEE and The Open Group, All Rights Reserved
[ Main Index | XBD | XSH | XCU | XRAT ]